##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I../base -I.. -I../gui -I../catalog -I../devdrv \
	   -I../candrv -I../incl -I../videodev -I../caos -I../tcpip

# @code 

CINT     = Main
LIB      = main.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = MBending.cc \
           MStarguider.cc \
           MStargHistograms.cc \
           MPointing.cc \
           MTracking.cc \
           MCaos.cc \
	   MCosy.cc

SRCS        = $(SRCFILES)
HEADERS     = $(SRCFILES:.cc=.h)
OBJS        = $(SRCFILES:.cc=.o) 
CINTHEADERS = $(HEADERS)

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmlib rmcint rmobjs rmcore

mrproper:	clean rmbak

# @endcode

